package com.muyu.carData.config.cacheconfig;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：张腾
 * @Package：com.muyu.carData.cacheconfig
 * @Project：cloud-server-8
 * @name：ExpiryTime
 * @Date：2024/9/26 23:44
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ExpiryTime {

    /**
     * 过期时间单位（秒）默认30分钟
     */
    @Builder.Default
    private long expiryTime = 30 * 60;

    /**
     * 刷新时间单位（秒） 默认15分钟
     */
    @Builder.Default
    private long refreshTime = 15 * 60;
}
