package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆报文所属类型
 * @Author：蓬叁
 * @Package：com.muyu.warn.domain.car
 * @Project：cloud-server-8
 * @name：CarMessage
 * @Date：2024/9/22 下午3:07
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "车辆报文所属类型")
@TableName(value = "car_message_type",autoResultMap = true)
public class CarMessageType {

    /**
     * 自增主键
     */
    private Integer messageTypeId ;
    /**
     * 报文编码
     */
    private String messageTypeCode ;
    /**
     * 报文名称
     */
    private String messageTypeName ;
    /**
     * 报文所属类别
     */
    private String messageTypeBelongs ;

}
