package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 预警策略
 * @Author：蓬叁
 * @Package：com.muyu.warn.domain
 * @Project：cloud-server-8
 * @name：WarnStrategy
 * @Date：2024/9/20 下午7:27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("warn_strategy")
@Tag(name = "预警策略")
public class WarnStrategy {

    /**
     * 策略Id
     */
    @TableId( type = IdType.AUTO)
    private Long id;
    private Long carTypeId ;
    private String strategyName ;
    private Long msgId ;

//    /**
//     * 创建人
//     */
//    private String createBy ;
//    /**
//     * 创建时间
//     */
//    private String createTime ;
//    /**
//     * 更新人
//     */
//    private String updateBy ;
//    /**
//     * 更新时间
//     */
//    private String updateTime ;

}
