package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 企业权限修改请求对象
 * @Author：weiran
 * @Package：com.muyu.domain.req
 * @Project：cloud-server-8
 * @name：FirmPermissionUpdReq
 * @Date：2024/10/8 20:11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "企业权限修改请求对象",description = "企业权限修改请求对象")
public class FirmPermissionUpdReq {

    /**
     * 企业权限Id
     */
    @TableId(value = "permission_id")
    private long permissionId;
    /**
     * 权限等级
     */
    private String permissionLevel;

    /**
     * 车辆数目
     */
    private Integer carNumber;

    /**
     * 车辆类型数目
     */
    private Integer carTypeNumber;


}
