package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 修改企业权限请求对象
 * @Author：weiran
 * @Package：com.muyu.domain.req
 * @Project：cloud-server-8
 * @name：FirmUpdPermissionReq
 * @Date：2024/10/7 22:22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "修改权限请求对象",description = "修改权限请求对象")
public class FirmUpdPermissionReq {
    /**
     * 企业Id
     */
    private Integer firmId;

    /**
     * 企业权限等级
     */
    private String permissionLevel;
}
