package com.muyu.server.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.FaultCode;
import com.muyu.domain.req.FaultCodeAddReq;
import com.muyu.domain.req.FaultCodeListReq;
import com.muyu.domain.req.FaultCodeUpdReq;
import com.muyu.domain.resp.FaultCodeTotalListResp;

import java.util.List;


/**
 * 车辆故障码业务层
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.service
 * @Project：cloud-faultmanage
 * @name：FaultCodeService
 * @Date：2024/9/17 14:53
 */
public interface FaultCodeService extends IService<FaultCode> {



    /**
     * 故障码展示(故障码联查)
     * @param faultCodeListReq
     * @return
     */
    FaultCodeTotalListResp selectfaultcodelist(FaultCodeListReq faultCodeListReq);

    /**
     * 新增故障码
     * @param faultCodeAddReq
     * @return
     */
    void insert(FaultCodeAddReq faultCodeAddReq);


    /**
     * 修改故障码
     * @param faultCodeUpdReq
     * @return
     */
    void upd(FaultCodeUpdReq faultCodeUpdReq);


    /**
     * 删除故障码
     * @param messageTypeId
     * @return
     */
    void del(Integer messageTypeId);

    /**
     * 故障码展示(故障码联查)
     * @return
     */
    List<FaultCode> faultCodeList(long messageTypeId);
}
