package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.CarFenceGroup;
import com.muyu.domain.CarMiddleGroup;
import com.muyu.server.mapper.CarMiddleGroupMapper;
import com.muyu.server.service.CarFenceGroupService;
import com.muyu.server.service.CarMiddleGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 车辆电子围栏添加中间表业务实现层
 * @Author：yang
 * @Package：com.muyu.server.service.impl
 * @Project：cloud-server-8
 * @name：CarMiddleGroupServiceImpl
 * @Date：2024/9/22 20:43
 */
@Service
public class CarMiddleGroupServiceImpl
        extends ServiceImpl<CarMiddleGroupMapper, CarMiddleGroup>
        implements CarMiddleGroupService  {


    @Autowired
    private CarFenceGroupService carFenceGroupService;

    /**
     * 查询中间操作
     * @return
     */
    @Override
    public List<CarFenceGroup> selectCarFence() {
        return carFenceGroupService.list();
    }
}
