package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.Firm;
import com.muyu.server.mapper.FirmMapper;
import com.muyu.server.service.FirmService;
import org.springframework.stereotype.Service;

/**
 * 公司业务实现层
 * @Author：weiran
 * @Package：com.muyu.firmmanage.service.impl
 * @Project：cloud-server-8
 * @name：FirmServiceImpl
 * @Date：2024/9/29 16:57
 */
@Service
public class FirmServiceImpl extends ServiceImpl<FirmMapper, Firm> implements FirmService {

    /**
     * 查询公司数目
     * @return
     */
    @Override
    public long findcount() {
        LambdaQueryWrapper<Firm> queryWrapper = new LambdaQueryWrapper<>();
        long count = this.count(queryWrapper);
        return count;

    }
}
