package com.muyu.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.system.domain.Firm;
import com.muyu.system.mapper.FirmMapper;
import com.muyu.system.service.FirmService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.muyu.system.service.impl
 * @Project：cloud-server-8
 * @name：FirmServiceImpl
 * @Date：2024/9/25 22:17
 */
@Service
@AllArgsConstructor
public class FirmServiceImpl
        extends ServiceImpl<FirmMapper, Firm> implements FirmService {

    private final FirmMapper firmMapper;

    @Override
    public Firm findByFirmName(String firmName) {
        return firmMapper.findByFirmName(firmName);
    }

    @Override
    public List<Firm> selectAll() {
        return firmMapper.selectAll();
    }
}
